$ErrorActionPreference = 'Stop';

$packageName= 'datastar'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = 'https://datastar.software/download/DataStar.x86.2.6.0.11.msi' 
  url64bit      = 'https://datastar.software/download/DataStar.x64.2.6.0.11.msi' 
  softwareName  = 'DataStar*' #part or all of the Display Name as you see it in Programs and Features. It should be enough to be unique
  checksum      = 'AD72B8E0D9A0065CD7A8ECD8333AD7B2987BB7CC51241DAC5030520831495EED'
  checksum64    = '614587D552E5B5812661F248B5C60687645FF01B29F25A965537C8119DD4495D'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksumType64= 'sha256' #default is md5, can also be sha1, sha256 or sha512
  silentArgs    = "/qn /norestart /l*v `"$($env:TEMP)\$($packageName).$($env:chocolateyPackageVersion).MsiInstall.log`"" # ALLUSERS=1 DISABLEDESKTOPSHORTCUT=1 ADDDESKTOPICON=0 ADDSTARTMENU=0
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs

